org.modeshape.jcr

## Class JcrLexicon

- java.lang.Object
- - org.modeshape.jcr.JcrLexicon

-     @Immutable
      public class JcrLexicon
      extends Object

  Lexicon of names from the standard JCR "`http://www.jcp.org/jcr/1.0`" namespace.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JcrLexicon.Namespace`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Name` | `ACTIVITY`
    `static Name` | `AUTO_CREATED`
    `static Name` | `AVAILABLE_QUERY_OPERATORS`
    `static Name` | `BASE_VERSION`
    `static Name` | `CHILD_NODE_DEFINITION`
    `static Name` | `CHILD_VERSION_HISTORY`
    `static Name` | `CONFIGURATION`
    `static Name` | `CONTENT`
    `static Name` | `COPIED_FROM`
    `static Name` | `CREATED`
    `static Name` | `CREATED_BY`
    `static Name` | `CURRENT_LIFECYCLE_STATE`
    `static Name` | `DATA`
    `static Name` | `DEFAULT_PRIMARY_TYPE`
    `static Name` | `DEFAULT_VALUES`
    `static Name` | `DESCRIPTION`
    `static Name` | `ENCODING`
    `static Name` | `ETAG`
    `static Name` | `FROZEN_MIXIN_TYPES`
    `static Name` | `FROZEN_NODE`
    `static Name` | `FROZEN_PRIMARY_TYPE`
    `static Name` | `FROZEN_UUID`
    `static Name` | `HAS_ORDERABLE_CHILD_NODES`
    `static Name` | `HOLD`
    `static Name` | `IS_ABSTRACT`
    `static Name` | `IS_CHECKED_OUT`
    `static Name` | `IS_DEEP`
    `static Name` | `IS_FULL_TEXT_SEARCHABLE`
    `static Name` | `IS_MIXIN`
    `static Name` | `IS_QUERY_ORDERABLE`
    `static Name` | `IS_QUERYABLE`
    `static Name` | `LANGUAGE`
    `static Name` | `LAST_MODIFIED`
    `static Name` | `LAST_MODIFIED_BY`
    `static Name` | `LIFECYCLE_POLICY`
    `static Name` | `LOCK_IS_DEEP`
    `static Name` | `LOCK_OWNER`
    `static Name` | `MANDATORY`
    `static Name` | `MERGE_FAILED`
    `static Name` | `MIMETYPE`
    `static Name` | `MIXIN_TYPES`
    `static Name` | `MULTIPLE`
    `static Name` | `NAME`
    `static Name` | `NODE_TYPE_NAME`
    `static Name` | `NODE_TYPES`
    `static Name` | `ON_PARENT_VERSION`
    `static Name` | `PATH` The "jcr:path" pseudo-column used in queries
    `static Name` | `PREDECESSORS`
    `static Name` | `PRIMARY_ITEM_NAME`
    `static Name` | `PRIMARY_TYPE`
    `static Name` | `PROPERTY_DEFINITION`
    `static Name` | `PROTECTED`
    `static Name` | `REQUIRED_PRIMARY_TYPES`
    `static Name` | `REQUIRED_TYPE`
    `static Name` | `RETENTION_POLICY`
    `static Name` | `ROOT`
    `static Name` | `ROOT_VERSION`
    `static Name` | `SAME_NAME_SIBLINGS`
    `static Name` | `SCORE` The "jcr:score" pseudo-column used in queries
    `static Name` | `STATEMENT`
    `static Name` | `SUCCESSORS`
    `static Name` | `SUPERTYPES`
    `static Name` | `SYSTEM`
    `static Name` | `TITLE`
    `static Name` | `UUID`
    `static Name` | `VALUE_CONSTRAINTS`
    `static Name` | `VERSION_HISTORY`
    `static Name` | `VERSION_LABELS`
    `static Name` | `VERSION_STORAGE`
    `static Name` | `VERSIONABLE_UUID`
    `static Name` | `XMLCHARACTERS`
    `static Name` | `XMLTEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcrLexicon()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UUID

          public static final Name UUID

    - #### NAME

          public static final Name NAME

    - #### PRIMARY_TYPE

          public static final Name PRIMARY_TYPE

    - #### MIXIN_TYPES

          public static final Name MIXIN_TYPES

    - #### CONTENT

          public static final Name CONTENT

    - #### CREATED

          public static final Name CREATED

    - #### CREATED_BY

          public static final Name CREATED_BY

    - #### ENCODING

          public static final Name ENCODING

    - #### MIMETYPE

          public static final Name MIMETYPE

    - #### DATA

          public static final Name DATA

    - #### LAST_MODIFIED

          public static final Name LAST_MODIFIED

    - #### LAST_MODIFIED_BY

          public static final Name LAST_MODIFIED_BY

    - #### AUTO_CREATED

          public static final Name AUTO_CREATED

    - #### CHILD_NODE_DEFINITION

          public static final Name CHILD_NODE_DEFINITION

    - #### DEFAULT_PRIMARY_TYPE

          public static final Name DEFAULT_PRIMARY_TYPE

    - #### DEFAULT_VALUES

          public static final Name DEFAULT_VALUES

    - #### HAS_ORDERABLE_CHILD_NODES

          public static final Name HAS_ORDERABLE_CHILD_NODES

    - #### IS_ABSTRACT

          public static final Name IS_ABSTRACT

    - #### IS_FULL_TEXT_SEARCHABLE

          public static final Name IS_FULL_TEXT_SEARCHABLE

    - #### IS_MIXIN

          public static final Name IS_MIXIN

    - #### IS_QUERY_ORDERABLE

          public static final Name IS_QUERY_ORDERABLE

    - #### IS_QUERYABLE

          public static final Name IS_QUERYABLE

    - #### MANDATORY

          public static final Name MANDATORY

    - #### MULTIPLE

          public static final Name MULTIPLE

    - #### NODE_TYPE_NAME

          public static final Name NODE_TYPE_NAME

    - #### ON_PARENT_VERSION

          public static final Name ON_PARENT_VERSION

    - #### PRIMARY_ITEM_NAME

          public static final Name PRIMARY_ITEM_NAME

    - #### PROPERTY_DEFINITION

          public static final Name PROPERTY_DEFINITION

    - #### PROTECTED

          public static final Name PROTECTED

    - #### AVAILABLE_QUERY_OPERATORS

          public static final Name AVAILABLE_QUERY_OPERATORS

    - #### REQUIRED_PRIMARY_TYPES

          public static final Name REQUIRED_PRIMARY_TYPES

    - #### REQUIRED_TYPE

          public static final Name REQUIRED_TYPE

    - #### SAME_NAME_SIBLINGS

          public static final Name SAME_NAME_SIBLINGS

    - #### SUPERTYPES

          public static final Name SUPERTYPES

    - #### VALUE_CONSTRAINTS

          public static final Name VALUE_CONSTRAINTS

    - #### XMLCHARACTERS

          public static final Name XMLCHARACTERS

    - #### ACTIVITY

          public static final Name ACTIVITY

    - #### BASE_VERSION

          public static final Name BASE_VERSION

    - #### CHILD_VERSION_HISTORY

          public static final Name CHILD_VERSION_HISTORY

    - #### CONFIGURATION

          public static final Name CONFIGURATION

    - #### COPIED_FROM

          public static final Name COPIED_FROM

    - #### CURRENT_LIFECYCLE_STATE

          public static final Name CURRENT_LIFECYCLE_STATE

    - #### DESCRIPTION

          public static final Name DESCRIPTION

    - #### ETAG

          public static final Name ETAG

    - #### FROZEN_MIXIN_TYPES

          public static final Name FROZEN_MIXIN_TYPES

    - #### FROZEN_NODE

          public static final Name FROZEN_NODE

    - #### FROZEN_PRIMARY_TYPE

          public static final Name FROZEN_PRIMARY_TYPE

    - #### FROZEN_UUID

          public static final Name FROZEN_UUID

    - #### HOLD

          public static final Name HOLD

    - #### IS_CHECKED_OUT

          public static final Name IS_CHECKED_OUT

    - #### IS_DEEP

          public static final Name IS_DEEP

    - #### LANGUAGE

          public static final Name LANGUAGE

    - #### LIFECYCLE_POLICY

          public static final Name LIFECYCLE_POLICY

    - #### LOCK_IS_DEEP

          public static final Name LOCK_IS_DEEP

    - #### LOCK_OWNER

          public static final Name LOCK_OWNER

    - #### MERGE_FAILED

          public static final Name MERGE_FAILED

    - #### NODE_TYPES

          public static final Name NODE_TYPES

    - #### PATH

          public static final Name PATH

      The "jcr:path" pseudo-column used in queries

    - #### PREDECESSORS

          public static final Name PREDECESSORS

    - #### RETENTION_POLICY

          public static final Name RETENTION_POLICY

    - #### ROOT

          public static final Name ROOT

    - #### ROOT_VERSION

          public static final Name ROOT_VERSION

    - #### SCORE

          public static final Name SCORE

      The "jcr:score" pseudo-column used in queries

    - #### STATEMENT

          public static final Name STATEMENT

    - #### SUCCESSORS

          public static final Name SUCCESSORS

    - #### SYSTEM

          public static final Name SYSTEM

    - #### TITLE

          public static final Name TITLE

    - #### VERSIONABLE_UUID

          public static final Name VERSIONABLE_UUID

    - #### VERSION_HISTORY

          public static final Name VERSION_HISTORY

    - #### VERSION_LABELS

          public static final Name VERSION_LABELS

    - #### VERSION_STORAGE

          public static final Name VERSION_STORAGE

    - #### XMLTEXT

          public static final Name XMLTEXT

  - ### Constructor Detail

    - #### JcrLexicon

          public JcrLexicon()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.